# Uses of Interface
org.openscience.jmol.app.jsonkiosk.JsonNioServer

Packages that use JsonNioServer
Package
Description
org.molecularplayground
org.openscience.jmol.app.jmolpanel
org.openscience.jmol.app.jsonkiosk

## Uses of JsonNioServer in org.molecularplayground

Fields in org.molecularplayground declared as JsonNioServer
Modifier and Type
Field
Description
`protected JsonNioServer`
MPJmolApp.`service`
Methods in org.molecularplayground with parameters of type JsonNioServer
Modifier and Type
Method
Description
`void`
MPJmolApp.`nioClosed(JsonNioServer jns)`

## Uses of JsonNioServer in org.openscience.jmol.app.jmolpanel

Fields in org.openscience.jmol.app.jmolpanel declared as JsonNioServer
Modifier and Type
Field
Description
`protected JsonNioServer`
JmolPanel.`clientService`
Methods in org.openscience.jmol.app.jmolpanel that return JsonNioServer
Modifier and Type
Method
Description
`static JsonNioServer`
JmolPanel.`getJsonNioServer()`
Methods in org.openscience.jmol.app.jmolpanel with parameters of type JsonNioServer
Modifier and Type
Method
Description
`void`
JmolPanel.`nioClosed(JsonNioServer jns)`
/////// JSON/NIO SERVICE //////////

## Uses of JsonNioServer in org.openscience.jmol.app.jsonkiosk

Classes in org.openscience.jmol.app.jsonkiosk that implement JsonNioServer
Modifier and Type
Class
Description
`class`
`JsonNioService`
A class for interacting with Jmol over local sockets.
Methods in org.openscience.jmol.app.jsonkiosk with parameters of type JsonNioServer
Modifier and Type
Method
Description
`void`
JsonNioClient.`nioClosed(JsonNioServer jsonNioService)`